/*
  ******************************************************************************
  * @file    fxx_it.c
  * @brief   fxx_it source File.
  ******************************************************************************
*/

#include "fxx_it.h"
#include "app.h"

/*********************************************************************************
* Function    : RTC_IRQHandler
* Description : RTC Interrupt Handler
* Input       : 
* Output      : 
**********************************************************************************/
void RTC_IRQHandler(void)
{
    if (RTC_GetFlagStatus(RTC_SR_ALM))
    {
        RTC_ClearFlag(RTC_SR_ALM);

        gb_AlarmFlag = true;
    }
    
    if (RTC_GetFlagStatus(RTC_SR_STP1FIE))
    {
        RTC_ClearFlag( RTC_SR_STP1FIE);
        
        gb_TemperFlag_1 = true;
    }
    if (RTC_GetFlagStatus(RTC_SR_STP1RIE)) 
    {
        RTC_ClearFlag( RTC_SR_STP1RIE);
        
        gb_TemperFlag_1 = true;
    }
    
    if (RTC_GetFlagStatus(RTC_SR_STP2FIE))
    {
        RTC_ClearFlag(RTC_SR_STP2FIE);
        
        gb_TemperFlag_2 = true;
    }
    if (RTC_GetFlagStatus(RTC_SR_STP2RIE))
    {
        RTC_ClearFlag(RTC_SR_STP2RIE);
        
        gb_TemperFlag_2 = true;
    }
}




